<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVarAsText Method (IEdmEnumeratorVariable10)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable10 Interface : GetVarAsText Method (IEdmEnumeratorVariable10)

Visual Basic
C#
C++/CLI

bsVarName
  Name of variable to read

bsCfgName
  Name of configuration or layout from which to get the variable value; empty string for folders and file types that do not support configurations (see Remarks)

lFolderID
  ID of parent folder

poRetValue
  Variable value in text format

Gets the value of the specified variable in text format from this file or folder.

# Syntax

Visual Basic |
--- | ---

    Function GetVarAsText( _
       ByVal bsVarName As System.String, _
       ByVal bsCfgName As System.String, _
       ByVal lFolderID As System.Integer, _
       ByRef poRetValue As System.Object _
    ) As System.Boolean

C# |
--- | ---

    System.bool GetVarAsText(
       System.string bsVarName,
       System.string bsCfgName,
       System.int lFolderID,
       out System.object poRetValue
    )

C++/CLI |
--- | ---

    System.bool GetVarAsText(
    &   System.String^ bsVarName,
    &   System.String^ bsCfgName,
    &   System.int lFolderID,
    &   [Out] System.Object^ poRetValue
    )

#### Parameters

bsVarName
  Name of variable to read
bsCfgName
  Name of configuration or layout from which to get the variable value; empty string for folders and file types that do not support configurations (see Remarks)
lFolderID
  ID of parent folder
poRetValue
  Variable value in text format

#### Return Value

True if the variable is found, false if not

# Remarks

To specify bsCfgName:

- Call IEdmFile5::GetConfigurations to get the available configuration names for this file.
- If this method is used in your add-in's implementation of IEdmAddIn5::OnCmd, then a list of configuration names for the data card is returned in ppoData that can be cast to EdmCmdData. EdmCmdData.mpoExtra contains an IEdmStrLst5 of configuration names.

C++ users must initialize the VARIANT struct of poRetValue with a call to VariantInit before calling this method. They also must free the contents of the struct with a call to VariantClear.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The variable was not found.

# See Also

####

IEdmEnumeratorVariable10 Interface
IEdmEnumeratorVariable10 Members
IEdmEnumeratorVariable10::GetVar2 Method ()
IEdmEnumeratorVariable5::SetVar Method ()

# Availability

SOLIDWORKS PDM Professional 2015 SP04